package at.jku.students.heap;

import java.util.Comparator;

import at.jku.ssw.queue.PriorityQueue;
import at.jku.ssw.util.Out;

public class HeapMain {

	@SuppressWarnings("rawtypes")
	public static void main(String[] args) {
		Comparator cmp = String.CASE_INSENSITIVE_ORDER;
		PriorityQueue pq = new ArrayPriorityQueue(cmp);
		pq.push("Margarete");
		pq.push("Valentin");
		pq.push("Marthe");
		pq.push("Wagner");
		pq.push("Heinrich");
		Out.open("Test.dot");
		Out.print(((ArrayPriorityQueue) pq).makeDot());
		Out.close();
		Out.print(pq.size() + ":");
		while (pq.size() > 0) {
			Out.print(" " + pq.take());
		}
	}

}
